package org.w3c.rdf.util.xml;

import org.w3c.rdf.model.*;
import org.w3c.rdf.syntax.*;
import org.w3c.rdf.implementation.model.StatementImpl;
import org.w3c.rdf.implementation.model.NodeFactoryImpl;

public class DumpConsumer implements RDFConsumer {
      
    int num = 0;

  public void startModel () {}
  public void endModel () {
      System.out.println("Total statements: " + num);
  }

	public NodeFactory getNodeFactory() {
		return new NodeFactoryImpl();
	}

  public void addStatement (Resource subject, Resource predicate, RDFNode  object) {
    System.out.println(new StatementImpl(subject, predicate, object).toString());
    num++;
  }
}
